/*
   config.h -- A bunch of mildly customizable settings

   Copyright (C) 2008 jlzz <jlzz@users.sourceforge.net>

   This file is part of Assh.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.

   $Id: config.h,v 1.22 2008/09/13 19:09:21 jlzz Exp $
*/

#ifndef H_CONFIG
#define H_CONFIG

/* The location of the legal daily updated proxy list */
#define PROXY_URL          "http://www.proxy4free.com/page1.html"

/* This is where configuration files will be stored */
#define CONFIG_DIR         "~/.assh"
#define CONFIG_FILE        "proxy.lst"

/* If proxy is unreachable during checking, this is timeout in sec */
#define CHECK_TIMEOUT      60

/* Maximum size for path length */
#define MAX_PATH_LEN       100

/* If proxy list is older than MAX_DAYS_OLD, tell user to reinitialize */
#define MAX_DAYS_OLD       5

/* 0: disable debug mode, 1: enable debug mode */
#define DEBUG              0

/* The current version of assh */
#define VERSION            "2.0"

/* definition of proxy structure */
struct proxy { char ip[16] ; 
               char port[6]; };

/* common prototypes */
extern int get_proxy_list();
extern int write_proxy_list(char *);
extern int gen_proxy_list_from_file(char *,char *);

#endif
